package cn.iocoder.yudao.module.order.dal.dataobject.targetLog;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 部门业绩日志 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_target_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class TargetLogDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 业绩归属客户经理id
     */
    private Long userId;
    /**
     * 已完成方数
     */
    private BigDecimal completeVolume;
    /**
     * 产生业绩的时间
     */
    private Date achievementTime;

    private Integer type;

    /**
     * 业绩归属客户id
     */
    private Long customerId;

    /**
     * 业绩归属客户类型（0公司客户或1开发客户）
     */
    private Integer customerType;

    /**
     * 已完成重量
     */
    private BigDecimal completeWeight;

    /**
     * 装柜时间
     */
    private Date ldBoxTime;

    /**
     * 部门id
     * */
    private Long deptId;

    private int loglev;
}
