package cn.iocoder.yudao.module.order.dto;

import cn.iocoder.yudao.module.order.vo.approval.OrderApprovalBackVO;
import cn.iocoder.yudao.module.order.vo.orderCargoControlPick.OrderCargoControlPickBackVO;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel(value = "控货订单放货详情返回值")
public class OrderCargoControlReleaseInfoDto {


    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "提单号")
    private String tidanNo;

    @ApiModelProperty(value = "唛头")
    private String marks;

    @ApiModelProperty(value = "货柜自编号")
    private String containerNumber;

    @ExcelProperty("是否控货")
    @ApiModelProperty(value = "是否控货")
    private Boolean isCargoControl;

    @ExcelProperty("0 控货中；1 已放完货；2 部分控货")
    @ApiModelProperty(value = "0 控货中；1 已放完货；2 部分控货")
    private Integer cargoControlStatus;

    @ApiModelProperty(value = "入仓数量")
    private Integer sumQuantity = 0;

    @ExcelProperty("入仓箱数")
    @ApiModelProperty(value = "入仓箱数")
    private Integer sumNum = 0;

    @ExcelProperty("入仓体积")
    @ApiModelProperty(value = "入仓体积")
    private BigDecimal sumVolume = BigDecimal.ZERO;

    @ExcelProperty("入仓重量")
    @ApiModelProperty(value = "入仓重量")
    private BigDecimal sumWeight = BigDecimal.ZERO;

    @ExcelProperty("已放货箱数")
    @ApiModelProperty(value = "已放货箱数")
    private Integer releaseNum = 0;

    @ExcelProperty("放货箱数")
    @ApiModelProperty(value = "放货箱数")
    private Integer pickNum = 0;

    @ExcelProperty("放货数量")
    @ApiModelProperty(value = "放货数量")
    private Integer pickQuantity = 0;

    @ExcelProperty("放货体积")
    @ApiModelProperty(value = "放货体积")
    private BigDecimal pickVolume = BigDecimal.ZERO;

    @ExcelProperty("放货重量")
    @ApiModelProperty(value = "放货重量")
    private BigDecimal pickWeight = BigDecimal.ZERO;

    @ExcelProperty("控货人名字")
    @ApiModelProperty(value = "控货人名字")
    private String name;


    @ExcelProperty("控货人名字(英文)")
    @ApiModelProperty(value = "控货人名字(英文)")
    private String nameEn;

    @ExcelProperty("控货人手机")
    @ApiModelProperty(value = "控货人手机")
    private String phone;

    @ApiModelProperty(value = "控人手机国家区号")
    private String dialCode;


    @ApiModelProperty(value = "收货人姓名")
    private String consigneeName;

    @ApiModelProperty(value = "收货人姓名(英文)")
    private String consigneeNameEn;

    @ApiModelProperty(value = "收货人手机")
    private String consigneePhone;

    @ApiModelProperty(value = "收货人手机国家区号")
    private String consigneeCountryCode;

    @ApiModelProperty(value = "收货人邮箱")
    private String consigneeEmail;

    @ApiModelProperty(value = "放货详情记录列表")
    private List<OrderCargoControlPickBackVO> cargoControlPickBackVOList;

    @ApiModelProperty(value = "放货修改审批记录列表")
    private List<OrderApprovalBackVO> orderApprovalBackVOList;
}
