package cn.iocoder.yudao.module.order.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 订单 Response VO
 *
 * @author zhengYi
 */
@Data
@ApiModel("订单拆单剩余总箱数与剩余总货值")
public class OrderSplitWorthDto {

    @ApiModelProperty("订单总箱数")
    private Integer sumNum;

    @ApiModelProperty("订单总拆出箱数")
    private Integer splitNum = 0;

    @ApiModelProperty("订单总拆出剩余箱数")
    private Integer splitResidueNum;

    @ApiModelProperty("订单总货值")
    private BigDecimal totalWorth;


    @ApiModelProperty("订单总拆出货值")
    private BigDecimal splitWorth = BigDecimal.ZERO;

    @ApiModelProperty("订单总拆出剩余货值")
    private BigDecimal splitResidueWorth;
}
