package cn.iocoder.yudao.module.order.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 入仓纪录明细VO
 *
 * @author yanghao
 */
@Data
@ApiModel(value = "入仓纪录明细VO")
public class OrderWarehouseInDetailsVO {


    @ApiModelProperty(value = "商品ID")
    private Long prodId;

    @ApiModelProperty(value = "品牌ID")
    private Long brand;

    /**
     * 商品特性(可选多个特性ID)
     */
    private String prodAttrIds;


    @ApiModelProperty("用途")
    private String usageIds;


    @ApiModelProperty(value = "箱/件数")
    private Integer cartonsNum;

    @ApiModelProperty(value = "所有箱内总货物数量")
    private Integer quantityAll;

    @ApiModelProperty(value = "单位")
    private String unit;

    /**
     * 入仓规格类型  1箱/2整板 见字典 warehousing_specification_type
     */
    @ApiModelProperty(value = "入仓规格类型")
    private Integer specificationType;


    /**
     * 箱规
     */
    @ApiModelProperty(value = "箱规")
    private String boxGauge;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;


    @ApiModelProperty(value = "快递单号")
    private String expressNo;


    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;


    @ApiModelProperty(value = "材质")
    private String material;

}
